
clear all

*<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
*<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< DEFINE OPÇÕES GERAIS>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
*<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

* USAR VÍRGULA COMO PADRÃO (P/ DECIMAIS)
	set dp comma

* APRESENTA TODOS OS OUTPUTS DE UMA VEZ (desliga o "more..."). 
*ps.: ESSE COMANDO TEM QUE SER DIGITADO DIRETAMENTE NO PROMPT DO STATA. EXECUTAR PELO DO-FILE NÃO FUNCIONA
	set more off, permanently

*INSTALAÇÕES DE PACOTES
	*ssc install shapley2
	*ssc install matsave
	*ssc install esttab
	
*use "C:\Users\liuta\Dropbox\2.PAPERS\2022_Adr&Car_Subn2\1_Data\dados_2018_recodificado.dta", clear
use "C:\Users\hguic\OneDrive\2.PAPERS\2022_Adr&Car_Subn2\1_Data\dados_2018_recodificado_stata13.dta", clear

*----------------------------------------------------------------------
*----------------------------------------------------------------------
* TABELA 3 - Regressoes Assistencia
*----------------------------------------------------------------------
*----------------------------------------------------------------------
* Colunas 1, 2 e 3
    
    
local vars_dep = `" "CMAS_idade" "Nreun_12M_assist" "CM_q_51_num" "'
local count = 1

foreach var_dep_i of local vars_dep{

	reg  `var_dep_i' ///
	ln_pop_2018 ln_pib_percapita_2015 CAPITAL ln_N_funcion_dir_e_indir IDHM ///
	ultAtual_PlAssist fasfil_dir_assist_por1000 ///
	estado_AssSoc_capacitConselhMun escala_assessora_ConEstConMun


	local modelName_i = "assistencia_" + `"`count'"'	
	estimates store `modelName_i', 
		
	shapley2, stat(r2) group (ln_pop_2018 ln_pib_percapita_2015 IDHM, CAPITAL, ///
	ln_N_funcion_dir_e_indir, fasfil_dir_assist_por1000, ultAtual_PlAssist, ///
	estado_AssSoc_capacitConselhMun, escala_assessora_ConEstConMun)
	
	if `count' == 1{
		mat shapley_assistencia = e(shapley)
	}
	else if `count' > 1{
		mat shapley_assistencia = shapley_assistencia,e(shapley)
	}
	
	local count = `count' + 1	
	}
*

mat coln shapley_assistencia = `vars_dep'
matsave shapley_assistencia, path("C:\Users\hguic\desktop\") saving replace

estimates dir

esttab `r(names)' using C:\Users\liuta\Desktop\regressoes_assistencia_tmp.rtf, replace ///
cells(b(fmt(4))) ///	
legend label ///
varlabels(_cons constant)   ///            
stats(r2  N)

estimates clear

unicode convertfile C:\Users\liuta\Desktop\regressoes_assistencia_tmp.rtf C:\Users\liuta\Desktop\regressoes_assistencia.rtf, dstencoding(ISO-8859-1) replace

